package com.dong.demo013.debug

import androidx.compose.foundation.layout.*
import androidx.compose.material.*
import androidx.compose.runtime.*
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp

@Composable
internal fun DebugTestDemo() {
    Column(
        modifier = Modifier.fillMaxSize().padding(16.dp),
        verticalArrangement = Arrangement.spacedBy(16.dp)
    ) {

        // 进入断点
        Button(
            onClick = {
                getBreakPoint();
            },

            ) {
            Text("进入断点", color = Color.White)
        }
        Button(
            onClick = {
                getJsons();
            },

            ) {
            Text("所有类型变量(打印+断点)", color = Color.White)
        }


    }

}


fun getBreakPoint(){
    print("debugInt:空");
    //下面为断点处
    val debugInt: Int =1;
    print("debugInt:1");
}
fun getJsons(){
    val allTypes= DebugAllTypesData ();
    print("断点处（所有类型变量）")
    print("开始打印所有类型变量")
    allTypes.printAllTypes();
    print("打印所有类型变量结束")

}